Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::split_when_fn Struct Reference
Inheritance diagram for ranges::views::split_when_fn:

## Synopsis of methods
constexpr split_when_fn | split_when {}

## Public Member Functions
template<typename T >
constexpr auto | operator() (T &&t) const
Public Member Functions inherited from ranges::views::split_when_base_fn
template<typename Rng , typename Fun >
split_when_view< all_t< Rng >, Fun > | operator() (Rng &&rng, Fun fun) const
template<typename Rng , typename Fun >
split_when_view< all_t< Rng >, predicate_pred_< Fun > > | operator() (Rng &&rng, Fun fun) const